
if g_specializationManager:getSpecializationByName("IncreaseHighBeamRange") == nil then
    g_specializationManager.addSpecialization('IncreaseHighBeamRange', 'IncreaseHighBeamRange', 'IncreaseHighBeamRange', Utils.getFilename('IncreaseHighBeamRange.lua', g_currentModDirectory))
end

for vehicleTypeName, vehicleType in pairs(g_vehicleTypeManager.types) do 
    if vehicleType ~= nil and not SpecializationUtil.hasSpecialization(IncreaseHighBeamRange, vehicleType.specializations) and SpecializationUtil.hasSpecialization(Lights, vehicleType.specializations) then
        g_vehicleTypeManager:addSpecialization(vehicleTypeName, 'IncreaseHighBeamRange')
    end
end
